Meshy 6 Retexture
Integrēt
meshy/v6/retexture
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v6/retexture?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model_url": "https://example.com/your-file.glb"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/meshy/v6/retexture?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"model_url": "https://example.com/your-file.glb"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"model_url": "https://example.com/your-file.glb",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/meshy/v6/retexture", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/lv/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "meshy/v6/retexture",
"input": {
"model_url": "https://example.com/your-file.glb"
}
}
Izsauciet Meshy 6 Retexture modeli (meshy/v6/retexture), izmantojot Doitong API. Dokumentācija aģentiem: https://doitong.com/lv/developers/models/meshy/v6/retexture.md
POST https://api.doitong.com/v1/run/meshy/v6/retexture?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"model_url": "https://example.com/your-file.glb"
}
Ja atbildes statuss ir "queued" vai "running", periodiski izsauciet GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20, līdz tas kļūst par "succeeded"; faili atrodas outputs[].url. POST https://api.doitong.com/v1/quote/meshy/v6/retexture ar to pašu pamattekstu atgriež precīzu cenu pirms izpildes.
Šis pieprasījums: 0,30 $ 300 API kredītu Izpildīt šajā lapā
Jūsu jaunā API atslēga. Tā tiek parādīta tikai tagad un jau ir ievietota kodā un tālāk esošajā API atslēgas laukā. Glabājiet to noslēpumā: nekad neievietojiet to kodā, kas darbojas pārlūkprogrammā.
Šeit būs jūsu pirmais rezultāts
Izveidojiet pieprasījumu tālāk un izpildiet to ar savu API atslēgu. Izvades tiek kopētas mūsu krātuvē un glabātas mūžīgi vai 7 dienas bez maksas.
Izveidot pieprasījumu
Vadīklas tiek ģenerētas no modeļa shēmas. Kods un cena tiek atjaunināti, kad tos maināt.
/run/meshy/v6/retexture?wait=20
cena → 0,30 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/v6/retexture?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model_url": "https://example.com/your-file.glb"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/meshy/v6/retexture?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"model_url": "https://example.com/your-file.glb"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"model_url": "https://example.com/your-file.glb",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/meshy/v6/retexture", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "meshy/v6/retexture",
"input": {
"model_url": "https://example.com/your-file.glb"
},
"wait_seconds": 20
}
}
}
Palaist šo pieprasījumu
Jūsu atslēga paliek šajā pārlūkprogrammā: tā tiek nosūtīta tikai uz Doitong API un saglabāta (localStorage) tikai tad, ja atzīmējat Atcerēties. Iegūt API atslēgu
Par Meshy 6 Retexture
Aizstāj esoša režģa virsmas tekstūras .glb, .gltf, .obj, .fbx vai .stl formātā. Stilu nosaka `text_style_prompt` (līdz 600 rakstzīmēm) vai `image_style_url`, kam ir prioritāte, ja norādīti abi. `texture_resolution` var būt 2k, 4k vai 8k, `enable_pbr` pievieno metāliskuma, raupjuma un normāļu kartes, bet `enable_original_uv` saglabā modeļa UV izkārtojumu. Izvade ietver GLB, citus formātus, tekstūras un sīktēlu.
Parametri
model_urlobligāts
text_style_promptneobligāts
image_style_urlneobligāts
texture_resolutionneobligāts
enable_original_uvneobligāts
enable_pbrneobligāts
enable_safety_checkerneobligāts
Failu parametriem nepieciešams publisks https:// URL, data: URI līdz 10 MB vai augšupielādes file_url. Faili
Izvade
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "meshy/v6/retexture",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 300,
"usd": "0.30",
"charged": 300,
"refunded": 0
},
"input": {
"model_url": "https://example.com/your-file.glb"
},
"output": {
"model_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"thumbnail": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"model_urls": {
"glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"obj": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"usdz": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"blend": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"stl": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"texture_urls": [
{
"base_color": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"metallic": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"normal": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"roughness": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
}
],
"text_style_prompt": "red and black chest",
"image_style_url": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Izvades lauki
- model_glb
- object {url, content_type, file_name, file_size}3D objekts GLB formātā ar atjauninātām tekstūrām.
- thumbnail
- object {url, content_type, file_name, file_size} | nullSīktēls, kurā redzams modeļa priekšskatījums pēc atkārtotas teksturēšanas.
- model_urls
- object {glb, fbx, obj, usdz, blend, stl}Saites uz 3D modeli dažādos formātos.
- texture_urls
- array of object {base_color, metallic, normal, roughness}Tekstūras faili, kas attēloti kā objektu masīvs.
- text_style_prompt
- string | nullIzmantotā teksturēšanas uzvedne, ja tā tika iesniegta.
- image_style_url
- string | nullIzmantotā teksturēšanas attēla URL, ja tas tika iesniegts.
Vairāk modeļu: 3D
AI aģentiem: šī lapa Markdown formātā ir pieejama https://doitong.com/lv/developers/models/meshy/v6/retexture.md. Visi modeļi un ceļveži: https://doitong.com/developers/llms.txt